Functions
IRQ Handler and Callbacks
Peripheral Driver » HAL Driver » CALENDAR » Functions

IRQ Handler and Callbacks functions. More...

Collaboration diagram for IRQ Handler and Callbacks:

## Functions
void | hal_calendar_irq_handler (calendar_handle_t *p_calendar)
| Handle CALENDAR interrupt request. More...
void | hal_calendar_alarm_callback (calendar_handle_t *p_calendar)
| CALENDAR date count complete (counter reaches to alarm) callback. More...
void | hal_calendar_tick_callback (calendar_handle_t *p_calendar)
| CALENDAR milliseconds count complete (counter reaches to 0) callback. More...
void | hal_calendar_overflow_callback (calendar_handle_t *p_calendar)
| CALENDAR overflow callback. More...

## Detailed Description

IRQ Handler and Callbacks functions.

## Function Documentation

## ◆ hal_calendar_alarm_callback()

void hal_calendar_alarm_callback | ( | calendar_handle_t * | p_calendar | ) |

CALENDAR date count complete (counter reaches to alarm) callback.

Note
  This function should not be modified. when the callback is needed, the hal_calendar_alarm_callback can be implemented in the user file.

Parameters

  [in] | p_calendar | Pointer to a CALENDAR handle which contains the configuration information for the specified CALENDAR module.

## ◆ hal_calendar_irq_handler()

void hal_calendar_irq_handler | ( | calendar_handle_t * | p_calendar | ) |

Handle CALENDAR interrupt request.

Note
  When alarm is enabled, CALENDAR will generate an interrupt on conter match alarm value.

Parameters

  [in] | p_calendar | Pointer to a CALENDAR handle which contains the configuration information for the specified CALENDAR module.

## ◆ hal_calendar_overflow_callback()

void hal_calendar_overflow_callback | ( | calendar_handle_t * | p_calendar | ) |

CALENDAR overflow callback.

Note
  This function should not be modified. when the callback is needed, the hal_calendar_overflow_callback can be implemented in the user file.
  The overflow time is about 36 hours.

Parameters

  [in] | p_calendar | Pointer to a CALENDAR handle which contains the configuration information for the specified CALENDAR module.

## ◆ hal_calendar_tick_callback()

void hal_calendar_tick_callback | ( | calendar_handle_t * | p_calendar | ) |

CALENDAR milliseconds count complete (counter reaches to 0) callback.

Note
  This function should not be modified. when the callback is needed, the hal_calendar_tick_callback can be implemented in the user file.

Parameters

  [in] | p_calendar | Pointer to a CALENDAR handle which contains the configuration information for the specified CALENDAR module.